# UuidValidation class

## Constructors

UuidValidation.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

isValidOrThrow({String fromString = '', Uint8List? fromByteList, ValidationMode validationMode = ValidationMode.strictRFC9562, bool noDashes = false}) → void
  Validates the provided uuid to make sure it has all the necessary components and formatting and throws a FormatException if it is invalid. You can choose to validate from a string or from a byte list based on which parameter is passed. Optionally you can set `validationMode` to `ValidationMode.nonStrict` to allow for non RFC4122 compliant UUIDs. If you are using a Microsoft GUID, you should set `validationMode` to `ValidationMode.nonStrict`.
isValidUUID({String fromString = '', Uint8List? fromByteList, ValidationMode validationMode = ValidationMode.strictRFC9562, bool noDashes = false}) → bool
  Validates the provided uuid to make sure it has all the necessary components and formatting and returns a bool You can choose to validate from a string or from a byte list based on which parameter is passed.